Package org.codehaus.janino

# Class UnitCompiler.SimpleIField

java.lang.Object
org.codehaus.janino.IClass.IField
org.codehaus.janino.UnitCompiler.SimpleIField

All Implemented Interfaces:
  `IClass.IMember`

Enclosing class:
  `UnitCompiler`

public static class UnitCompiler.SimpleIField extends IClass.IField
Short-hand implementation of `IClass.IField` that implements a non-constant, non-static, package-accessible field.

## Constructor Summary

Constructors
Constructor
Description
`SimpleIField(IClass declaringIClass, String name, IClass type)`

## Method Summary

Modifier and Type
Method
Description
`Access`
`getAccess()`
`IClass.IAnnotation[]`
`getAnnotations()`
`Object`
`getConstantValue()`
Returns the value of the field if it is a compile-time constant value, i.e.
`String`
`getName()`
`IClass`
`getType()`
`boolean`
`isStatic()`

### Methods inherited from class org.codehaus.janino.IClass.IField

`getDeclaringIClass, getDescriptor, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SimpleIField

public SimpleIField(IClass declaringIClass, String name, IClass type)

## Method Details

### getConstantValue

public Object getConstantValue()
Description copied from class: `IClass.IField`
Returns the value of the field if it is a compile-time constant value, i.e. the field is FINAL and its initializer is a constant expression (JLS7 15.28, bullet 12).

Specified by:
  `getConstantValue` in class `IClass.IField`

### getName

public String getName()

Specified by:
  `getName` in class `IClass.IField`
Returns:
  The name this field

### getType

public IClass getType()

Specified by:
  `getType` in class `IClass.IField`
Returns:
  The type of this field

### isStatic

public boolean isStatic()

Specified by:
  `isStatic` in class `IClass.IField`
Returns:
  Whether this field is STATIC

### getAccess

public Access getAccess()

Specified by:
  `getAccess` in interface `IClass.IMember`
Specified by:
  `getAccess` in class `IClass.IField`
Returns:
  One of `Access.PRIVATE`, `Access.PROTECTED`, `Access.DEFAULT` and `Access.PUBLIC`.

### getAnnotations

public IClass.IAnnotation[] getAnnotations()

Returns:
  Modifiers and/or annotations of this member